Name:		alterator
Version:	1.99
Release:	alt2

Summary:	the Tool
License:	GPL
Group:		System/Configuration/Other
Packager:	Alexey Voinov <voins@altlinux.ru>

Source:		%name-%version.tar.bz2

Requires:	kernel-modules-fuse-std-up >= 2.1

%description
the Tool

%prep
%setup -q
subst '/^vc:/d;/^cxxflags:/d;/^ldflags:/d;' \=config

%build
cook -no_list -no_include_cooked_warning -b /usr/share/kookish/main.cook \
	vc=none cxxflags="$RPM_OPT_FLAGS -fPIC -I/usr/lib/qt3/include" \
	ldflags='-Wl,-rpath-link bin' \
	all

%install
cook -no_list -no_include_cooked_warning -b /usr/share/kookish/main.cook \
	vc=none cxxflags="$RPM_OPT_FLAGS -fPIC -I/usr/lib/qt3/include" \
	ldflags='-Wl,-rpath-link bin' \
	destdir=$RPM_BUILD_ROOT \
	install

install -m755 doc/samples/startalterator $RPM_BUILD_ROOT%_bindir/
install -m755 doc/samples/stage3 $RPM_BUILD_ROOT%_bindir/

mkdir -p $RPM_BUILD_ROOT%_libdir/%name/mods
install -m755 doc/samples/fake_users* $RPM_BUILD_ROOT%_libdir/%name/mods/
install -m755 doc/samples/local_users* $RPM_BUILD_ROOT%_libdir/%name/mods/
install -m755 doc/samples/services* $RPM_BUILD_ROOT%_libdir/%name/mods/

mkdir -p $RPM_BUILD_ROOT%_libdir/%name/scripts
install -m644 doc/samples/*.xml $RPM_BUILD_ROOT%_libdir/%name/scripts/
install -m644 doc/samples/*.scm $RPM_BUILD_ROOT%_libdir/%name/scripts/
install -m644 doc/samples/*.cmdlist $RPM_BUILD_ROOT%_libdir/%name/scripts/
install -m644 doc/samples/*.rcmdlist $RPM_BUILD_ROOT%_libdir/%name/scripts/
install -m644 doc/samples/*.script $RPM_BUILD_ROOT%_libdir/%name/scripts/
install -m644 src/prg/mapper.scm $RPM_BUILD_ROOT%_libdir/%name/scripts/


%post
/sbin/ldconfig

%preun
/sbin/ldconfig

%files
%_bindir/*
%_libdir/*

%changelog
* Thu Jan 20 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt2
- stage3 added
- root passwd changer added

* Wed Jan 19 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt1
- new version.
- old changelog (<=1.0.1) removed.
